Commit 5fe876e5 authored by Stefan Bürk's avatar Stefan Bürk Committed by Benni Mack
Browse files

[BUGFIX] Raise doctrine/dbal:^2.13.5

doctrine/dbal driver for postgres has been feeding null to
preg_match() in some constellations, which emits E_DEPRECATED
warning in PHP8.1 with E_ALL. doctrine/dbal:2.13.5 includes
the bugfix for this issue and more.

This patch acts as pre-patch to activate E_ALL and more PHP81
testing and thus raise the min version to ^2.13.5 to avoid these
warnings and make functional tests for postgres with E_ALL happy.

Used composer commands:

composer req doctrine/dbal:^2.13.5
composer req doctrine/dbal:^2.13.5 -d typo3/sysext/core --no-update
composer req doctrine/dbal:^2.13.5 -d typo3/sysext/install --no-update
composer req doctrine/dbal:^2.13.5 -d typo3/sysext/redirects --no-update

Resolves: #95968
Releases: master
Change-Id: Iba44ac6ccfcf7f7286d6d4e5843e25fefd0a607a
Reviewed-on: https://review.typo3.org/c/Packages/TYPO3.CMS/+/72161


Tested-by: core-ci's avatarcore-ci <typo3@b13.com>
Tested-by: Anja Leichsenring's avatarAnja Leichsenring <aleichsenring@ab-softlab.de>
Tested-by: Nikita Hovratov's avatarNikita Hovratov <nikita.h@live.de>
Tested-by: Simon Gilli's avatarSimon Gilli <typo3@gilbertsoft.org>
Tested-by: Benni Mack's avatarBenni Mack <benni@typo3.org>
Reviewed-by: Anja Leichsenring's avatarAnja Leichsenring <aleichsenring@ab-softlab.de>
Reviewed-by: Nikita Hovratov's avatarNikita Hovratov <nikita.h@live.de>
Reviewed-by: Oliver Klee's avatarOliver Klee <typo3-coding@oliverklee.de>
Reviewed-by: Simon Gilli's avatarSimon Gilli <typo3@gilbertsoft.org>
Reviewed-by: Benni Mack's avatarBenni Mack <benni@typo3.org>
parent 68aa03bd
......@@ -4,7 +4,7 @@
"Read more about it at https://getcomposer.org/doc/01-basic-usage.md#installing-dependencies",
"This file is @generated automatically"
],
"content-hash": "3ecfe1f8b39fe5f4eef1b93849b87c48",
"content-hash": "2e6e8dd50a08247f857e0eb156b2906f",
"packages": [
{
"name": "bacon/bacon-qr-code",
......@@ -318,16 +318,16 @@
},
{
"name": "doctrine/dbal",
"version": "2.13.4",
"version": "2.13.5",
"source": {
"type": "git",
"url": "https://github.com/doctrine/dbal.git",
"reference": "2411a55a2a628e6d8dd598388ab13474802c7b6e"
"reference": "d92ddb260547c2a7b650ff140f744eb6f395d8fc"
},
"dist": {
"type": "zip",
"url": "https://api.github.com/repos/doctrine/dbal/zipball/2411a55a2a628e6d8dd598388ab13474802c7b6e",
"reference": "2411a55a2a628e6d8dd598388ab13474802c7b6e",
"url": "https://api.github.com/repos/doctrine/dbal/zipball/d92ddb260547c2a7b650ff140f744eb6f395d8fc",
"reference": "d92ddb260547c2a7b650ff140f744eb6f395d8fc",
"shasum": ""
},
"require": {
......@@ -340,13 +340,13 @@
"require-dev": {
"doctrine/coding-standard": "9.0.0",
"jetbrains/phpstorm-stubs": "2021.1",
"phpstan/phpstan": "0.12.99",
"phpstan/phpstan": "1.1.1",
"phpunit/phpunit": "^7.5.20|^8.5|9.5.10",
"psalm/plugin-phpunit": "0.16.1",
"squizlabs/php_codesniffer": "3.6.0",
"squizlabs/php_codesniffer": "3.6.1",
"symfony/cache": "^4.4",
"symfony/console": "^2.0.5|^3.0|^4.0|^5.0",
"vimeo/psalm": "4.10.0"
"vimeo/psalm": "4.12.0"
},
"suggest": {
"symfony/console": "For helpful console commands such as SQL execution and import of files."
......@@ -407,7 +407,7 @@
],
"support": {
"issues": "https://github.com/doctrine/dbal/issues",
"source": "https://github.com/doctrine/dbal/tree/2.13.4"
"source": "https://github.com/doctrine/dbal/tree/2.13.5"
},
"funding": [
{
......@@ -423,7 +423,7 @@
"type": "tidelift"
}
],
"time": "2021-10-02T15:59:26+00:00"
"time": "2021-11-11T16:27:36+00:00"
},
{
"name": "doctrine/deprecations",
......
......@@ -31,7 +31,7 @@
"bacon/bacon-qr-code": "^2.0",
"christian-riesen/base32": "^1.6",
"doctrine/annotations": "^1.11",
"doctrine/dbal": "^2.13.4",
"doctrine/dbal": "^2.13.5",
"doctrine/event-manager": "^1.0.0",
"doctrine/instantiator": "^1.4",
"doctrine/lexer": "^1.2.1",
......
......@@ -19,7 +19,7 @@
"sort-packages": true
},
"require": {
"doctrine/dbal": "^2.13.4",
"doctrine/dbal": "^2.13.5",
"guzzlehttp/promises": "^1.4.0",
"nikic/php-parser": "^4.10.4",
"symfony/finder": "^5.3.0",
......
......@@ -19,7 +19,7 @@
"sort-packages": true
},
"require": {
"doctrine/dbal": "^2.13.4",
"doctrine/dbal": "^2.13.5",
"psr/http-message": "^1.0",
"psr/log": "^1.0",
"symfony/console": "^5.3.0",
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment